<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated 20/03/2008 11:41:34 by Hibernate Tools 3.2.0.b11 -->
<hibernate-mapping>
    <class name="org.sakaiproject.wontovlab.model.Material" table="vl_material" lazy="false" >
        <id name="materialId" type="java.lang.Long">
            <column name="materialId" />
	    	<generator class="native">
                <param name="sequence">VL_MATERIAL_ID_SQL</param>
	    	</generator>
        </id>
        
        
    

     <joined-subclass name="org.sakaiproject.wontovlab.model.Equipment" table="vl_equipment">
        <key column="materialId"/>
        <property name="type" type="string">
            <column name="type" length="50" not-null="true">
                <comment></comment>
            </column>
        </property>
        <property name="description" type="string">
            <column name="description" length="100" not-null="true">
                <comment></comment>
            </column>
        </property>
        
		<property name="ownerId" type="string">
            <column name="owner_id" length="50" not-null="true">
                <comment></comment>
            </column>
        </property>
        
		<property name="domainOntologyReference" type="string">
            <column name="domain_ontology_reference" length="255" not-null="false">
                <comment></comment>
            </column>
        </property>
        
     </joined-subclass>

     <joined-subclass name="org.sakaiproject.wontovlab.model.Drug" table="vl_drug">
        <key column="materialId"/>
        
        <property name="physicalState" type="string">
            <column name="physical_state" length="50">
                <comment></comment>
            </column>
        </property>
        <property name="concentration" type="java.lang.Float">
            <column name="concentration" precision="12" scale="0">
                <comment></comment>
            </column>
        </property>
        <property name="description" type="string">
            <column name="description" length="100" not-null="true">
                <comment></comment>
            </column>
        </property> 
        
        <property name="ownerId" type="string">
            <column name="owner_id" length="50" not-null="true">
                <comment></comment>
            </column>
        </property>
        
		<property name="domainOntologyReference" type="string">
            <column name="domain_ontology_reference" length="255" not-null="false">
                <comment></comment>
            </column>
        </property>        
     </joined-subclass>

     <joined-subclass name="org.sakaiproject.wontovlab.model.Solution" table="vl_solution">
        <key column="materialId"/>
        
        <property name="description" type="string">
            <column name="description" length="100" not-null="true">
                <comment></comment>
            </column>
        </property>
        
        <property name="concentration" type="java.lang.Float">
            <column name="concentration" precision="12" scale="0">
                <comment></comment>
            </column>
        </property>
        
        <property name="ownerId" type="string">
            <column name="owner_id" length="50" not-null="true">
                <comment></comment>
            </column>
        </property>
        
		<property name="domainOntologyReference" type="string">
            <column name="domain_ontology_reference" length="255" not-null="false">
                <comment></comment>
            </column>
        </property>        
     </joined-subclass>


    </class>
</hibernate-mapping>
